function MessageFormat() {
		
}

MessageFormat = {
	'lstFormat' : new Array(),
	
	'addFormat' : function (nom, format) {
		MessageFormat.lstFormat[nom] = format;
	}
	,
	
	'format' : function (type, data) {
		return MessageFormat.lstFormat[type](data);
	}	
};

MessageFormat.addFormat("msg", function (data) {
	return "&lt;<b>" + data.from  + "</b>&gt; " +  data.data + "<br />";
});

MessageFormat.addFormat("privmsg", function (data) {
	return "&lt;<b>" + data.from  + "</b>&gt; " +  data.data + "<br />";
});